Bug 62055

Summary: XSSFImportFromXML does not add table rows
Product: POI Reporter: leonard.kappe
Component: XSSFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: minor    
Priority: P2    
Version: 3.17-FINAL   
Target Milestone: ---   
Hardware: PC   
OS: All   

Description leonard.kappe 2018-01-29 17:39:56 UTC
The XML importer XSSFImportFromXML does not create new rows in any of the XSSFMap's related tables. 

Looking at the source code, it seems that new rows are created in the worksheet if necessary, but not to the table. The table never changes its size.

After importing an XML document with repeating elements, only the first XML element is actually inside the table in the first row. All other elements are added below, outside of the table, to the worksheet.
Comment 1 leonard.kappe 2018-02-08 17:45:52 UTC
I've created a pull request on Github: https://github.com/apache/poi/pull/99

Are pull request on Github ok or are patch files preferred? This is my first contribution for this project, if there are issues with the pull request I'll gladly try to improve it.
Comment 2 Dominik Stadler 2018-02-08 19:38:53 UTC
A PR on GitHub is perfectly fine!
Comment 3 PJ Fanning 2018-02-25 17:08:34 UTC
fix merged using https://svn.apache.org/repos/asf/poi/trunk@1825315